API Docs / Operations / Integrations - Accounting / Get Invoices for Customer

Get Invoices for Customer

GET /tenants/{tenant}/accounting/customers/{customerId}/invoices

Gets all invoices for a specific customer from the ThirdPartyConnection set as Tenant.AccountingConnectionCode. Pass 'status' to list only invoices in one status; the platform does the filtering, so the window and total are of the matching invoices. 404 for a user restricted to clients this customer is not mapped to.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

status query enum

Unknown Draft Unpaid Paid Overdue Void PartiallyPaid

Unknown Draft Unpaid Paid Overdue Void PartiallyPaid

customerId* path string
offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

Responses

401 Unauthorized – Invalid or missing API key
502 Bad Gateway